export class Input {

  /**
   * This function should return a promise which will resolve with the text provided by user.
   * The promise should usually resolves when the ENTER key is pressed, 
   * but if the parameter anyKey is true, any key press should make the promise immediatlly resolve
   * 
   * @param {boolean} anyKey if true any key pressed should be immediatly sent to the processor, defaults false 
   * @returns Promise<string>
   */
  requestInput (anyKey = false) {
    throw new Error("Must be implemented");
  }

}